#!/bin/sh

echo 'Load fec_rtl8304.ko'

depmod -a

product=`ys_info -g | grep "product" | awk '{print $3}'`
if [ $product == "34" ];then
        hwver=`ys_info -g | grep "hardware version" | awk '{print $4}' | sed -n '1p'`
        new_hwver=0200
        if [ $hwver -lt $new_hwver ];then
                echo "S20**********insmod.....fec_rtl8304"
                insmod /boot/3.14.28/fec_rtl8304.ko
        else
                echo "S20**********insmod.....fec_rtl8401"
                insmod boot/3.14.28/fec_rtl8401.ko
        fi
elif [ $product == "36" ];then
        hwver=`ys_info -g | grep "hardware version" | awk '{print $4}' | sed -n '1p'`
        new_hwver=0400
        if [ $hwver -lt $new_hwver ];then
                echo "S412**********insmod.....fec_rtl8304"
                insmod /boot/3.14.28/fec_rtl8304.ko
        else
                echo "S412**********insmod.....fec_rtl8401"
                insmod boot/3.14.28/fec_rtl8401.ko
        fi

elif [ $product == "35" ];then
    echo "*******insmod.....fec_rtl8304"
    insmod /boot/3.14.28/fec_rtl8304.ko
else
    echo "*** This product not support fec_rtl8304"
fi

echo "end $0"
